Main Page Widgets Namespaces Book

# text.h File Reference

## Classes
class | Atk::Attribute
struct | Atk::AttributeTraits
class | Atk::Text
| The ATK interface implemented by components with text content. More...
class | Atk::TextAttribute
## Namespaces
namespace | Atk
| The ATK interface which provides standard mechanism for manipulating hyperlinks.

namespace | Glib
## Typedefs
typedef Glib::SListHandle <Attribute, AttributeTraits> | Atk::AttributeSet
## Enumerations
enum | Atk::BuiltinTextAttribute { Atk::TEXT_ATTR_INVALID, Atk::TEXT_ATTR_LEFT_MARGIN, Atk::TEXT_ATTR_RIGHT_MARGIN, Atk::TEXT_ATTR_INDENT, Atk::TEXT_ATTR_INVISIBLE, Atk::TEXT_ATTR_EDITABLE, Atk::TEXT_ATTR_PIXELS_ABOVE_LINES, Atk::TEXT_ATTR_PIXELS_BELOW_LINES, Atk::TEXT_ATTR_PIXELS_INSIDE_WRAP, Atk::TEXT_ATTR_BG_FULL_HEIGHT, Atk::TEXT_ATTR_RISE, Atk::TEXT_ATTR_UNDERLINE, Atk::TEXT_ATTR_STRIKETHROUGH, Atk::TEXT_ATTR_SIZE, Atk::TEXT_ATTR_SCALE, Atk::TEXT_ATTR_WEIGHT, Atk::TEXT_ATTR_LANGUAGE, Atk::TEXT_ATTR_FAMILY_NAME, Atk::TEXT_ATTR_BG_COLOR, Atk::TEXT_ATTR_FG_COLOR, Atk::TEXT_ATTR_BG_STIPPLE, Atk::TEXT_ATTR_FG_STIPPLE, Atk::TEXT_ATTR_WRAP_MODE, Atk::TEXT_ATTR_DIRECTION, Atk::TEXT_ATTR_JUSTIFICATION, Atk::TEXT_ATTR_STRETCH, Atk::TEXT_ATTR_VARIANT, Atk::TEXT_ATTR_STYLE, Atk::TEXT_ATTR_LAST_DEFINED }
enum | Atk::TextBoundary { Atk::TEXT_BOUNDARY_CHAR, Atk::TEXT_BOUNDARY_WORD_START, Atk::TEXT_BOUNDARY_WORD_END, Atk::TEXT_BOUNDARY_SENTENCE_START, Atk::TEXT_BOUNDARY_SENTENCE_END, Atk::TEXT_BOUNDARY_LINE_START, Atk::TEXT_BOUNDARY_LINE_END }
enum | Atk::TextClipType { Atk::TEXT_CLIP_NONE, Atk::TEXT_CLIP_MIN, Atk::TEXT_CLIP_MAX, Atk::TEXT_CLIP_BOTH }